Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 158800 - Inactive buttons in Java Debugger Options
Inactive buttons in Java Debugger Options
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 11:05 UTC by Filip Zamboj
Modified: 2009-02-22 07:58 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Inactive Buttons Picture (182.46 KB, image/png)
2009-02-19 11:06 UTC, Filip Zamboj
Details
messages log (27.99 KB, text/plain)
2009-02-19 11:13 UTC, Filip Zamboj
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Zamboj 2009-02-19 11:05:18 UTC
In Tools->Options->Miscellaneous->Java Debugger->Variable Formatters are 4 buttons in the most bottom part (see att.
picture). I cannot use any of them. If it's intentional (just to show we will have this feature in M3) then better hide
it, please :).  

Log attached.
Comment 1 Filip Zamboj 2009-02-19 11:06:45 UTC
Created attachment 77143 [details]
Inactive Buttons Picture
Comment 2 Filip Zamboj 2009-02-19 11:13:15 UTC
Created attachment 77144 [details]
messages log
Comment 3 Filip Zamboj 2009-02-19 11:14:00 UTC
Product Version: NetBeans IDE Dev (Build 200902180201)
Java: 1.6.0_12-ea; Java HotSpot(TM) 64-Bit Server VM 11.2-b01
System: Linux version 2.6.27-11-generic running on amd64; UTF-8; en_US (nb)
Userdir: /home/felipee/SUN/userdirs/dev_0201_2

ubuntu 8.10
Comment 4 Martin Entlicher 2009-02-19 14:45:12 UTC
Also formatters could not be moved up/down. This is fixed in changeset:   117810:6d3428bc2c10
http://hg.netbeans.org/main/rev/6d3428bc2c10

Bottom buttons made also work in changeset:   117811:f6bc148bf163
http://hg.netbeans.org/main/rev/f6bc148bf163
Comment 5 Marian Mirilovic 2009-02-19 17:14:20 UTC
Martin/Filip, do we want to fix this one into M2 ?
Comment 6 Filip Zamboj 2009-02-19 17:37:09 UTC
I'll verify tomorrow changesets mentioned by Martin. It's true it was pushed to repository. If there is a possibility to
build 6.7M2 again then I'd put this into M2. But I won't let it go without this. 
Comment 7 Martin Entlicher 2009-02-19 17:44:35 UTC
IMHO this is not so severe issue, it's in a new functionality.
On the other hand the fix should be pretty safe and affects just the dialog.
If there will be another build of M2, it can be included, but IMHO this should not postpone the release.
Comment 8 Filip Zamboj 2009-02-19 18:27:30 UTC
verified on NetBeans IDE Dev (Build 090219). Please push into repository for 67M2 release. 
Comment 9 Martin Entlicher 2009-02-20 09:03:07 UTC
Backported into M2 repository:
changeset:   117671:32d90d140f22, changeset:   117672:fb53b1b0a83d
http://hg.netbeans.org/release67_m2/rev/32d90d140f22
http://hg.netbeans.org/release67_m2/rev/fb53b1b0a83d
Comment 10 Quality Engineering 2009-02-22 07:58:11 UTC
Integrated into 'main-golden', will be available in build *200902220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6d3428bc2c10
User: mentlicher@netbeans.org
Log: #158800 - Formatters can be moved up/down


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo